package com.trs.ggzyexchange.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcPubContract;
import com.baomidou.mybatisplus.extension.service.IService;
import com.trs.ggzyexchange.entity.TenderDetailsVo;

/**
 * <p>
 * 合同签订 服务类
 * </p>
 *
 * @author trs
 * @since 2023-02-23
 */
public interface GcPubContractService extends IService<GcPubContract> {

    Integer getTotalNumberTransactions(String platformCode);


    IPage<TenderDetailsVo> queryGcBidcandidateAllList(Page<GcPubContract> page);

    IPage<TenderDetailsVo> queryGcBidcandidateAllListByTime(Page<GcPubContract> page, Long time);

    Long maxDataTimeStamp();
}
